import { AxiosError, AxiosInstance } from 'axios';
export declare const extractErrorMessageFromAxiosError: (error: AxiosError<any>) => string;
export declare class ClientBuilder {
    private baseURL;
    private remoteServiceName;
    private commonHeaders;
    private _withRequestLogging;
    private _withResponseLogging;
    static builder(): ClientBuilder;
    withRequestLogging(): ClientBuilder;
    withResponseLogging(): ClientBuilder;
    setHeaders(headers: {
        [key: string]: string;
    }): ClientBuilder;
    setRemoteServiceName(serviceName: string): ClientBuilder;
    setBaseURL(baseURL: string): ClientBuilder;
    buildDefault(): AxiosInstance;
    private checkRequiredParams;
    build(): AxiosInstance;
    private addResponseLogging;
    private logAxiosError;
    private addRequestLogging;
}
export { AxiosInstance };
